KDE 4.9 PyKDE API Reference

- KDE's Python API

# TileId Class Reference

`from PyKDE4.marble import *`

Namespace: Marble

## Detailed Description

## Methods
| __init__ (self, QString mapThemeId, int zoomLevel, int tileX, int tileY)
| __init__ (self, long mapThemeIdHash, int zoomLevel, int tileX, int tileY)
| __init__ (self)
long | mapThemeIdHash (self)
bool | operator < (self, Marble.TileId rhs)
bool | operator == (self, Marble.TileId rhs)
int | x (self)
int | y (self)
int | zoomLevel (self)
## Static Methods
Marble.TileId | fromCoordinates (Marble.GeoDataCoordinates coords, int popularity)

## Method Documentation

__init__ | ( | self, |
|  | QString | mapThemeId,
|  | int | zoomLevel,
|  | int | tileX,
|  | int | tileY
| ) |  |  |

__init__ | ( | self, |
|  | long | mapThemeIdHash,
|  | int | zoomLevel,
|  | int | tileX,
|  | int | tileY
| ) |  |  |

__init__ | ( |  | self ) |

long mapThemeIdHash | ( |  | self ) |

bool operator < | ( | self, |
|  | Marble.TileId | rhs
| ) |  |  |

bool operator == | ( | self, |
|  | Marble.TileId | rhs
| ) |  |  |

int x | ( |  | self ) |

int y | ( |  | self ) |

int zoomLevel | ( |  | self ) |

## Static Method Documentation

Marble.TileId fromCoordinates | ( | Marble.GeoDataCoordinates | coords,
|  | int | popularity
| ) |  |  |